List accountant users
curl --request GET \
--url https://api.steuerboard.com/v1/admin/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.steuerboard.com/v1/admin/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.steuerboard.com/v1/admin/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cmf41ajzv003706un4i99q1b1",
"createdAt": "2024-08-20T12:34:56Z",
"email": "alex@example.com",
"firstName": "Alex",
"lastName": "Müller",
"roles": [
{
"id": "cmf41ajzv003706un4i99q1a0",
"name": "accountant_admin",
"customName": "Head of Accounting"
}
]
}
],
"pagination": {
"limit": 20,
"total": 134,
"nextCursor": "cmf41ajzv003706un4i99q19z",
"previousCursor": "cmf41ajzv003706un4i99q19z"
}
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ZodError",
"issues": [
{
"code": "invalid_type",
"path": [
"fieldName"
],
"message": "Expected string, received undefined"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.admin.users
List accountant users
Returns a paginated list of accountant users.
GET
/
admin
/
users
List accountant users
This endpoint only works with the Accountant API key. More information here
Authorizations
Bearer token authentication
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
20
The cursor to return the next page of items
Example:
"cmf41ajzv003706un4i99q19z"
The sort field of the results
Available options:
createdAt, updatedAt, email, firstName, lastName The order of the results based on the sort field
Available options:
asc, desc ⌘I